%file-name strecken_impulsantwort1.m
clear all

KS = 2.5; T1 = 1; T2 = 2; T3 = 3; TI = 3; TV = 5;
D = 0.5; om0 = 2; T = 0.5;

disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0')
GS1 = tf([KS*om0^2],[1  2*D*om0  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit s, 1, D, om0')
GS1 = tf([1 0],[1  2*D*om0  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit D*om0 + s, 1, D, om0')
GS1 = tf([1 D*om0],[1  2*D*om0  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0, T1')
GS1 = tf(KS*om0^2,[T1   2*D*T1*om0+1  2*D*om0+T1*om0^2  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0, T1 mit Integrierer')
GS1 = tf(KS*om0^2,[T1   2*D*T1*om0+1  2*D*om0+T1*om0^2  om0^2 0])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0, T1, TV')
GS1 = tf([KS*TV*om0^2 KS*om0^2],[T1   2*D*T1*om0+1  2*D*om0+T1*om0^2  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0, TV')
GS1 = tf([KS*TV*om0^2 KS*om0^2],[1   2*D*T1*om0  om0^2])
GSH1 = c2d(GS1, T, 'imp')
disp ('------------------------------------------------------')
disp ('Nr. : Strecke mit KS, D, om0, TV mit Integrierer')
GS1 = tf([KS*TV*om0^2 KS*om0^2],[1   2*D*T1*om0  om0^2 0])
GSH1 = c2d(GS1, T, 'imp')

------------------------------------------------------
Nr. : Strecke mit KS, D, om0
Transfer function:
     10
-------------
s^2 + 2 s + 4
 
Transfer function:
        2.668 z
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. : Strecke mit s, 1, D, om0
Transfer function:
      s
-------------
s^2 + 2 s + 4
 
Transfer function:
    z^2 - 0.6597 z
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. : Strecke mit D*om0 + s, 1, D, om0
Transfer function:
    s + 1
-------------
s^2 + 2 s + 4
 
Transfer function:
    z^2 - 0.3929 z
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. : Strecke mit KS, D, om0, T1
Transfer function:
         10
---------------------
s^3 + 3 s^2 + 6 s + 4
 
Transfer function:
0.7119 z^2 + 0.4318 z - 5.993e-017
-----------------------------------
z^3 - 1.392 z^2 + 0.8445 z - 0.2231
------------------------------------------------------
Nr. : Strecke mit KS, D, om0, T1 mit Integrierer
Transfer function:
           10
-------------------------
s^4 + 3 s^3 + 6 s^2 + 4 s
 
Transfer function:
0.1388 z^3 + 0.3683 z^2 + 0.06534 z + 5.455e-017
------------------------------------------------
 z^4 - 2.392 z^3 + 2.237 z^2 - 1.068 z + 0.2231
------------------------------------------------------
Nr. : Strecke mit KS, D, om0, T1, TV
Transfer function:
      50 s + 10
---------------------
s^3 + 3 s^2 + 6 s + 4
 
Transfer function:
 10.49 z^2 - 9.817 z + 2.725e-016
-----------------------------------
z^3 - 1.392 z^2 + 0.8445 z - 0.2231
------------------------------------------------------
Nr. : Strecke mit KS, D, om0, TV
Transfer function:
  50 s + 10
-------------
s^2 + 2 s + 4
 
Transfer function:
   50 z^2 - 30.32 z
-----------------------
z^2 - 0.7859 z + 0.3679
------------------------------------------------------
Nr. : Strecke mit KS, D, om0, TV mit Integrierer
Transfer function:
    50 s + 10
-----------------
s^3 + 2 s^2 + 4 s
 
Transfer function:
       14.19 z^2 - 12.73 z
----------------------------------
z^3 - 1.786 z^2 + 1.154 z - 0.3679
------------------------------------------------------
