%zu Beispiel 14.5-2
%bsp_14_5_02a_m.m, bsp_14_5_02a.mdl
%Regelkreis mit Zweipunkt-Element
%Regelstrecke mit PT1-Element und Totzeit

%mit Grundlast y1 = 0.15

xd1 = 0.05; xd2 = 0.0;
y1 = 0.15;  y2 = 0.4;
KS = 5.0;  TS = 300.0;

clf;
sim ('bsp_14_5_02a')

figure (1)
hold on
tmin = -20.0; tmax = 1000;
ymin = -0.1; ymax = 1.4;
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
plot(t, x,'-') % x(t), y(t)

title  ('Zweipunktregler mit  y_1 = 0.15, y_2 = 0.4, x_d_1 = 0.05, x_d_2 = 0')
xlabel ('t / s') 
ylabel ('Regelgre  x(t), Stellgre  y(t)')
grid on
text (150, 0.7,'x(t)');
text (230, 0.45,'y(t)');

figure(2)
hold off

%ohne Grundlast y1 = 0.0
clf;
y1 = 0.0;
sim ('bsp_14_5_02a')  
hold on
axis ([tmin tmax ymin ymax])
plot([tmin tmax],[0 0],'r-')
plot([0 0],[ymin ymax],'r-')
plot(t, x,'-') % x(t), y(t)

title  ('Zweipunktregler mit  y_1 = 0, y_2 = 0.4, x_d_1 = 0.05, x_d_2 = 0')
xlabel ('t / s') 
ylabel ('Regelgre  x(t), Stellgre  y(t)')
grid on
text (150, 0.7,'x(t)');
text (230, 0.45,'y(t)');


ylabel ('Regelgre  x(t), Stellgre  y(t)')
grid on
text (150, 0.7,'x(t)');
text (230, 0.45,'y(t)');

hold off