%MATLAB Function-File T_BNFORM_168.m
%Transformation auf Beobachtungsnormalform

function[sysB,TB]=T_BNFORM_1(sys)
A=sys.a;                 %Systemmatrix des Zustandsmodells sys
c=sys.c;                 %Ausgangsvektor des Zustandsmodells sys
n=length(A);             %Systemordnung
QB=obsv(A,c);            %Beobachtbarkeitsmatrix
QB_1=inv(QB);            %inverse "
qBn=QB_1(:,n);           %letzte Spalte von QB_1 
for i=1:n                %hnlichkeitstransformation
  TB_1(:,i)=A^(i-1)*qBn; %mit Matrix TB auf
end                      %Beobachtungsnormalform
TB=inv(TB_1);					
sysB=ss2ss(sys,TB);      %Zustandsmodell in 
                         %Beobachtungsnormalform
                               