%MATLAB Script-File konvers_168.m
%Modellkonversionen
numG=[0 1 4 5]; denG=[1 2 5 0]; %Zhler- u. Nennerpolyn. von G(s)
G=tf(numG,denG)             %G(s) ausgeben
clf

%hold on
%axis([-2,2,-2,2])
%sgrid([0:0.1:1],[0:0.2:2])  %Gitterlinien fr D, w0
%axis('equal')
pzmap(G)					%Pol-Nullstellenplan ausgeben
axis([-4,1,-2,2])           %Skalierung
axis('equal')               %gleicher Skalierungsfaktor
sgrid([0:0.1:1],[0:0.2:1])  %Gitterlinien fr D, w0
title('\it{s-Ebene}')       %Titel der Graphik
disp('Zustandsmodell (controller canonical form):')
sys_ss=ss(G);				%G(s)->Zustandsmodell
[A,b,c,d]=ssdata(sys_ss)    %Zustandsmodell ausgeben
disp('Pol-Nullstellenmodell:')
[nul,pol,K0]=zpkdata(G,'v') %G(s)->Pol-Nullstellenmodell ausgeben
sgrid([0:0.1:1],[0:0.2:2])  %Gitterlinien fr D, w0
