%MATLAB Script File Lage_P_PI_175.m
%Sprungverhalten einer Lageregelung
KR=10;      %KR PI-Regler
KV=125;     %Geschwindigkeitsverstrkung
TN=0.02;    %Nachstellzeit PI-Regler
TEM=0.001;  %Ersatzzeitkonstante des Momentenregelkreises
TM=0.02;    %Mechanische Zeitkonstante
for Td=[0.0001    0.001    0.003];
    Tl=0.0002;   %Abtastzeit Lageregler
    [t,x,y]=sim('kaskade_175'); %Sprungantwort
    subplot(211), plot(t,x(:,1))
    hold on, grid on
    title('Sprungverhalten fr Tl = 0.2 ms; Td = 0.1, 1, 3 ms')
end
for Tl=[0.001    0.005    0.01];
    Td=0.0001;  %Abtastzeit Drehzahlregler
    [t,x,y]=sim('kaskade_175'); %Sprungantwort
    subplot(212), plot(t,x(:,1))
    hold on, grid on   
    title('Sprungverhalten fr Td = 0.1 ms; Tl = 1, 5, 10 ms')
end